Bug 995101 - [abrt] tuxmath-2.0.1-4.fc19: SDL_FreeSurface: Process /usr/bin/tuxmath was killed by signal 11 (SIGSEGV)
[abrt] tuxmath-2.0.1-4.fc19: SDL_FreeSurface: Process /usr/bin/tuxmath was ki...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: tuxmath (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:0dc6a9e9c661df14478420672ef...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 10:40 EDT by Rick Jeffreys
Modified: 2015-02-17 11:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:38:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (14.97 KB, text/plain)
2013-08-08 10:40 EDT, Rick Jeffreys
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-08 10:40 EDT, Rick Jeffreys
no flags Details
File: core_backtrace (3.17 KB, text/plain)
2013-08-08 10:40 EDT, Rick Jeffreys
no flags Details
File: dso_list (8.27 KB, text/plain)
2013-08-08 10:40 EDT, Rick Jeffreys
no flags Details
File: environ (1.23 KB, text/plain)
2013-08-08 10:40 EDT, Rick Jeffreys
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-08 10:40 EDT, Rick Jeffreys
no flags Details
File: maps (43.92 KB, text/plain)
2013-08-08 10:40 EDT, Rick Jeffreys
no flags Details
File: open_fds (102 bytes, text/plain)
2013-08-08 10:40 EDT, Rick Jeffreys
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2013-08-08 10:40 EDT, Rick Jeffreys
no flags Details
File: var_log_messages (230 bytes, text/plain)
2013-08-08 10:40 EDT, Rick Jeffreys
no flags Details

  None (edit)
Description Rick Jeffreys 2013-08-08 10:40:14 EDT
Description of problem:
This was happens when playing math command missions. 

Version-Release number of selected component:
tuxmath-2.0.1-4.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        tuxmath
crash_function: SDL_FreeSurface
executable:     /usr/bin/tuxmath
kernel:         3.10.4-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SDL_FreeSurface at src/video/SDL_surface.c:911
 #1 powerup_add_comet at game.c:4185
 #2 add_comet at game.c:3166
 #3 game_handle_comets at game.c:1594
 #4 game at game.c:373
 #5 start_campaign at campaign.c:80
 #6 handle_activity at menu.c:137
 #7 T4K_RunMenu at t4k_menu.c:933
 #8 run_menu at menu.c:111
 #9 RunMainMenu at menu.c:755
Comment 1 Rick Jeffreys 2013-08-08 10:40:18 EDT
Created attachment 784420 [details]
File: backtrace
Comment 2 Rick Jeffreys 2013-08-08 10:40:21 EDT
Created attachment 784421 [details]
File: cgroup
Comment 3 Rick Jeffreys 2013-08-08 10:40:23 EDT
Created attachment 784422 [details]
File: core_backtrace
Comment 4 Rick Jeffreys 2013-08-08 10:40:26 EDT
Created attachment 784423 [details]
File: dso_list
Comment 5 Rick Jeffreys 2013-08-08 10:40:29 EDT
Created attachment 784424 [details]
File: environ
Comment 6 Rick Jeffreys 2013-08-08 10:40:31 EDT
Created attachment 784425 [details]
File: limits
Comment 7 Rick Jeffreys 2013-08-08 10:40:34 EDT
Created attachment 784426 [details]
File: maps
Comment 8 Rick Jeffreys 2013-08-08 10:40:36 EDT
Created attachment 784427 [details]
File: open_fds
Comment 9 Rick Jeffreys 2013-08-08 10:40:39 EDT
Created attachment 784428 [details]
File: proc_pid_status
Comment 10 Rick Jeffreys 2013-08-08 10:40:42 EDT
Created attachment 784429 [details]
File: var_log_messages
Comment 11 linuxrocks0 2013-11-24 08:40:18 EST
playing tuxmath and it just crashes in the middle of playing (got upto wave 4 on arcade mode) I don't know why.  I was on Fedora18 and just upgraded to Fedora19 - same problem as on Fedora18.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        tuxmath
crash_function: SDL_FreeSurface
executable:     /usr/bin/tuxmath
kernel:         3.11.8-200.fc19.x86_64
package:        tuxmath-2.0.1-4.fc19
reason:         Process /usr/bin/tuxmath was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 12 Fedora End Of Life 2015-01-09 14:21:14 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 11:38:58 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.